Std AxisCross/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std AxisCross and the translation is 53% complete.
Other languages:
English • ‎français • ‎italiano • ‎русский

Std AxisCross

Расположение в меню
Вид → Показать/скрыть оси координат
Верстаки
All
Быстрые клавиши
отсутствуют
Представлено в версии
-
См. также
...


Описание

The Std AxisCross command toggles the axis cross in the active 3D view. The related setting also affects all new 3D views, including those belonging to new documents, but not the initial 3D view of existing documents.

The axis cross consists of three arrows representing the positive X, Y and Z axis of the global coordinate system. Their common start point is the origin of the global coordinate system.

Std AxisCross example.svg

The axis cross (the letters are not part of the axis cross)


Использование

  1. Select the View → Toggle axis cross option from the menu.

Примечания

  • FreeCAD can display a smaller coordinate system indicator in the bottom right corner of 3D views: Edit → Preferences... → Display → 3D View → Show coordinate system in the corner. See Preferences Editor.
  • The Navigation Cube also includes a coordinate system indicator.

Настройки

  • The axis cross setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowAxisCross.

Scripting

Смотри так же: Основы скриптов в FreeCAD.

Чтобы показать или скрыть оси координат, используйте метод setAxisCrossобъекта ActiveView. Этот метод не доступен, когда FreeCAD в режиме консоли.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setAxisCross(True)
FreeCADGui.ActiveDocument.ActiveView.hasAxisCross()